Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface PageOptions

    public interface PageOptions

The page configurations of a navigator component.

Method Summary
`int` | `getDefaultElementsPerPage()` Get the default number of elements per page
`int` | `getDefaultMaxPages()` Get the default maximum number of pages
`int` | `getDefaultReadAhead()` Get the default number of page to read ahead
`int` | `getStartPage()` Get the start page
`void` | `setDefaultElementsPerPage(int defaultElementsPerPage)` Set the default number of elements per page
`void` | `setDefaultMaxPages(int maxPages)` Set the default maximum number of pages
`void` | `setDefaultReadAhead(int defaultReadAhead)` Set the default number of page to read ahead
`void` | `setStartPage(int startPage)` Sets the stage page

Method Detail

### getStartPage

    int getStartPage()

  Get the start page

  Returns:
    The start page

### setStartPage

    void setStartPage(int startPage)

  Sets the stage page

  Parameters:
    `startPage` - The start page to set.

### getDefaultMaxPages

    int getDefaultMaxPages()

  Get the default maximum number of pages

  Returns:
    Returns the default maximum number of pages

### setDefaultMaxPages

    void setDefaultMaxPages(int maxPages)

  Set the default maximum number of pages

  Parameters:
    `maxPages` - the default maximum number of pages

### getDefaultReadAhead

    int getDefaultReadAhead()

  Get the default number of page to read ahead

  Returns:
    the default number of page to read ahead

### setDefaultReadAhead

    void setDefaultReadAhead(int defaultReadAhead)

  Set the default number of page to read ahead

  Parameters:
    `defaultReadAhead` - the default number of page to read ahead

### getDefaultElementsPerPage

    int getDefaultElementsPerPage()

  Get the default number of elements per page

  Returns:
    the default number of elements per page

### setDefaultElementsPerPage

    void setDefaultElementsPerPage(int defaultElementsPerPage)

  Set the default number of elements per page

  Parameters:
    `defaultElementsPerPage` - the default number of elements per page

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD